import type { PropType, SlotsType } from 'vue';
import type { ValidationMessages } from '../type';
export declare const VCFormGroup: import("vue").DefineComponent<{
    label: {
        type: BooleanConstructor;
        default: any;
    };
    labelClass: {
        type: StringConstructor;
    };
    labelContent: {
        type: StringConstructor;
    };
    hint: {
        type: BooleanConstructor;
        default: any;
    };
    hintClass: {
        type: StringConstructor;
    };
    hintContent: {
        type: StringConstructor;
    };
    dirty: {
        type: BooleanConstructor;
        default: any;
    };
    validation: {
        type: BooleanConstructor;
        default: any;
    };
    validationMessages: {
        type: PropType<ValidationMessages>;
        default: any;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    label: {
        type: BooleanConstructor;
        default: any;
    };
    labelClass: {
        type: StringConstructor;
    };
    labelContent: {
        type: StringConstructor;
    };
    hint: {
        type: BooleanConstructor;
        default: any;
    };
    hintClass: {
        type: StringConstructor;
    };
    hintContent: {
        type: StringConstructor;
    };
    dirty: {
        type: BooleanConstructor;
        default: any;
    };
    validation: {
        type: BooleanConstructor;
        default: any;
    };
    validationMessages: {
        type: PropType<ValidationMessages>;
        default: any;
    };
}>>, {
    label: boolean;
    hint: boolean;
    dirty: boolean;
    validationMessages: ValidationMessages;
    validation: boolean;
}, SlotsType<{
    default: undefined;
    label: undefined;
    hint: undefined;
}>>;
//# sourceMappingURL=component.d.ts.map